%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-Unix-Syslog
Version:       1.1
Release:       4mamba
Summary:       Unix::Syslog - Perl interface to the UNIX syslog(3) calls
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org/
Source:        http://search.cpan.org/CPAN/authors/id/M/MH/MHARNISCH/Unix-Syslog-%{version}.tar.gz
License:       GPL, Artistic
Requires:      perl >= %perl_major_ver
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libperl
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl >= 2:5.36.0
BuildRequires: perl-devel >= %perl_major_ver

%description
Unix::Syslog - Perl interface to the UNIX syslog(3) calls

%prep

%setup -q -n Unix-Syslog-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

find %{buildroot} -name *.so -exec chmod u+w {} \;

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Sun Apr 16 2023 Sdk Build System <sdk@mambasoft.it> 1.1-4mamba
- rebuilt with perl 5.36.0

* Wed Nov 09 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1-3mamba
- rebuilt with perl 5.24

* Sat Nov 10 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1-2mamba
- perl 5.16 rebuild

* Mon Apr 27 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1-1mamba
- package created by autospec
